VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CGlobalObjects"
Attribute VB_GlobalNameSpace = True
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "Global Multiuse class that exposes classes of universal usefulness. :-)"
' *************************************************************
'  Copyright 1999, Karl E. Peterson
'  http://www.mvps.org/vb/
' *************************************************************
'  Author grants royalty-free rights to use this code within
'  compiled applications. Selling or otherwise distributing
'  this source code is not allowed without author's express
'  permission.
' *************************************************************
Option Explicit

Private m_Clip As CClipboard

' ************************************************
'  Initialization and Termination
' ************************************************
Private Sub Class_Initialize()
   Set m_Clip = New CClipboard
End Sub

Private Sub Class_Terminate()
   Set m_Clip = Nothing
End Sub

' ************************************************
'  Exposed Objects
' ************************************************
Public Property Get ClipboardEx() As CClipboard
Attribute ClipboardEx.VB_Description = "Global object which replaces the intrinsic with enhanced information and options."
   Set ClipboardEx = m_Clip
End Property


