VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Dual-Resource Icon Usage Demo"
   ClientHeight    =   2685
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4410
   Icon            =   "DualIcons.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2685
   ScaleWidth      =   4410
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "Select Form Icon:"
      Height          =   2535
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   4275
      Begin VB.PictureBox picIcons 
         BorderStyle     =   0  'None
         Height          =   615
         Index           =   2
         Left            =   240
         Picture         =   "DualIcons.frx":0442
         ScaleHeight     =   41
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   41
         TabIndex        =   3
         Top             =   1740
         Width           =   615
      End
      Begin VB.PictureBox picIcons 
         BorderStyle     =   0  'None
         Height          =   615
         Index           =   1
         Left            =   240
         Picture         =   "DualIcons.frx":0884
         ScaleHeight     =   41
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   41
         TabIndex        =   2
         Top             =   1020
         Width           =   615
      End
      Begin VB.PictureBox picIcons 
         BorderStyle     =   0  'None
         Height          =   615
         Index           =   0
         Left            =   240
         Picture         =   "DualIcons.frx":0CC6
         ScaleHeight     =   41
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   41
         TabIndex        =   1
         Top             =   300
         Width           =   615
      End
      Begin VB.Label lblIcons 
         Caption         =   "lblIcons(2)"
         Height          =   615
         Index           =   2
         Left            =   1020
         TabIndex        =   6
         Top             =   1740
         Width           =   3075
      End
      Begin VB.Label lblIcons 
         Caption         =   "lblIcons(1)"
         Height          =   615
         Index           =   1
         Left            =   1020
         TabIndex        =   5
         Top             =   1020
         Width           =   3075
      End
      Begin VB.Label lblIcons 
         Caption         =   "lblIcons(0)"
         Height          =   615
         Index           =   0
         Left            =   1020
         TabIndex        =   4
         Top             =   300
         Width           =   3075
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *************************************************************
'  Copyright 1999, Karl E. Peterson
'  http://www.mvps.org/vb/
' *************************************************************
'  Author grants royalty-free rights to use this code within
'  compiled applications. Selling or otherwise distributing
'  this source code is not allowed without author's express
'  permission.
' *************************************************************
Option Explicit

Private m_Index As Long

Private Sub Form_Load()
   '
   ' Assign single-resource, 16x16 icon to form
   ' at runtime. This will only be "seen" in the
   ' titlebar and taskbar, so that's okay. Use
   ' dual-resource, 16x16 and 32x32, for the
   ' executable so it can be seen in both large-
   ' and list/details view of Explorer.
   '
   m_Index = 0
   Call UpdateDisplay
   '
   ' Describe options.
   '
   lblIcons(0).Caption = "Single-resource, 16x16 only."
   lblIcons(1).Caption = "Dual-resource, 16x16 and 32x32 icons." & vbCrLf & _
      "Small resource defined first."
   lblIcons(2).Caption = "Dual-resource, 16x16 and 32x32 icons." & vbCrLf & _
      "Large resource defined first."
End Sub

Private Sub lblIcons_Click(Index As Integer)
   m_Index = Index
   Call UpdateDisplay
End Sub

Private Sub picIcons_Click(Index As Integer)
   m_Index = Index
   Call UpdateDisplay
End Sub

Private Sub UpdateDisplay()
   Dim i As Long
   '
   ' Set newly chosen icon into form.
   '
   Me.Icon = picIcons(m_Index).Picture
   '
   ' Assign visible border to selection.
   '
   For i = 0 To 2
      If i = m_Index Then
         picIcons(i).BorderStyle = 1 'Fixed Single
      Else
         picIcons(i).BorderStyle = 0 'None
      End If
   Next i
End Sub

Private Sub picIcons_Paint(Index As Integer)
   If Index <> m_Index Then
      With picIcons(Index)
         picIcons(Index).Line (0, 0)-(.ScaleWidth - 1, .ScaleHeight - 1), vb3DShadow, B
      End With
   End If
End Sub
